GraphDatabaseFactoryState (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.factory

## Class GraphDatabaseFactoryState

- java.lang.Object
- - org.neo4j.graphdb.factory.GraphDatabaseFactoryState

-     public class GraphDatabaseFactoryState
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphDatabaseFactoryState()`
    `GraphDatabaseFactoryState(GraphDatabaseFactoryState previous)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addKernelExtensions(Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> newKernelExtensions)`
    `List<org.neo4j.kernel.impl.cache.CacheProvider>` | `getCacheProviders()`
    `Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>>` | `getKernelExtension()`
    `List<org.neo4j.kernel.impl.transaction.xaframework.TransactionInterceptorProvider>` | `getTransactionInterceptorProviders()`
    `void` | `setCacheProviders(Iterable<org.neo4j.kernel.impl.cache.CacheProvider> newCacheProviders)`
    `void` | `setKernelExtensions(Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> newKernelExtensions)`
    `void` | `setTransactionInterceptorProviders(Iterable<org.neo4j.kernel.impl.transaction.xaframework.TransactionInterceptorProvider> transactionInterceptorProviders)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphDatabaseFactoryState

          public GraphDatabaseFactoryState()

    - #### GraphDatabaseFactoryState

          public GraphDatabaseFactoryState(GraphDatabaseFactoryState previous)

  - ### Method Detail

    - #### getKernelExtension

          public Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> getKernelExtension()

    - #### setKernelExtensions

          public void setKernelExtensions(Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> newKernelExtensions)

    - #### addKernelExtensions

          public void addKernelExtensions(Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> newKernelExtensions)

    - #### getCacheProviders

          public List<org.neo4j.kernel.impl.cache.CacheProvider> getCacheProviders()

    - #### setCacheProviders

          public void setCacheProviders(Iterable<org.neo4j.kernel.impl.cache.CacheProvider> newCacheProviders)

    - #### getTransactionInterceptorProviders

          public List<org.neo4j.kernel.impl.transaction.xaframework.TransactionInterceptorProvider> getTransactionInterceptorProviders()

    - #### setTransactionInterceptorProviders

          public void setTransactionInterceptorProviders(Iterable<org.neo4j.kernel.impl.transaction.xaframework.TransactionInterceptorProvider> transactionInterceptorProviders)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.